#!/usr/bin/ruby

require_relative 'dyn_monomorphic_type_inference'
#require_relative 'dyn_polymorphic_type_inference'
#require_relative 'dyn_polymorphic_type_inference_optimized'
#require_relative 'dyn_class_polymorphic_type_inference'

SELF_NAME = "self"

class DynTypeInferencer

	include MonomorphicTypeInference
#	include PolymorphicTypeInference
#	include ClassPolymorphicTypeInference

	def initialize(parse_tree)
		@configuration = DynConfiguration.new(parse_tree)
	end

	def infer_types(options = {})
		monomorphic_type_inference_program(options)
#		polymorphic_type_inference_program(options)
#		class_polymorphic_type_inference_program(options)
	end

end

class ConstraintInconsistency < RuntimeError
  def initialize(*args)
    @args = args
  end
end




