﻿namespace Dyn.Diagnostics
{
    /// <summary>
    /// Describes how serve a diagnostic is.
    /// </summary>
    /// <remarks>
    /// The usage of the integer values directly is not safe.
    /// </remarks>
    public enum DiagnosticSeverity
    {
        /// <summary>
        /// Something is normally ignored.
        /// </summary>
        /// <remarks>
        /// This member is normally used as a filter settings to filter out all diagnostic messages.
        /// </remarks>
        None = 0,

        Information = 1,
        Warning = 2,
        Error = 3,
    }
}
