﻿using libdyn.tests.Utilities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using Xunit;

namespace tests.Cli
{
    public static class CaseStudies
    {
        private static IEnumerable<object[]> Files()
        {
            return Sample.GetFiles("samples/case-studies/*.dyn").FiXunit();
        }
        [Theory]
        [MemberData("Files")]
        public static void Console1(Sample file)
        {

            string all;
            using(var reader = file.ToReader())
            {
                all = reader.ReadToEnd();
            }

            DynConsoleIntegrationTests.Console2("--CONDITIONS\n--VERIFY\n--VERIFY\n--SUMMARY\n--AST", all, null, null);
            
        }

    }
}
