; bool

(define-fun is_B((o Obj)) Bool (= (class o) class_boolean))

(define-fun map_B((o Obj) (b Bool)) Bool (and
                                         (is_B o)
                                         (= b (not (= (inst_ref o iv_as_ref) Null)))))


; numeric

(define-fun is_N((o Obj)) Bool (= (class o) class_numeric))

; recursive definition
;(define-fun map_N((o Obj) (n Int)) Bool (and
;                                   (is_N o)
;                                   (or
;                                     (and (= (inst_ref o iv_pred) Null) (= n 0))
;                                     (map_N (inst_ref o iv_pred) (- n 1)))))

; quantified definition
(define-fun map_N((o Obj) (n Int)) Bool
				(exists ((a_o (Array Int Obj)))
				  (and
			            (forall ((i Int))
				      (=> (and (<= 0 i) (< i n))
				        (and
				          (is_N (select a_o i))
				          (= (inst_ref (select a_o i) iv_pred) (select a_o (+ i 1)))
				        )
				      )
				    )
				    (= (select a_o 0) o)
				    (= (inst_ref (select a_o n) iv_pred) Null)
				  )))

; list

;(define-fun is_L ((l Obj)) Bool (= (class l) class_list))

;(define-fun select_L ((l Obj) (i Int) (o Obj)) Bool
;                     (exists ((a (Array Int Obj)))
;                             (and (= (select a 0) l)
;                                  (forall ((i2 Int))
;                                          (=> (and (<= 0 i2) (< i2 i))
;                                              (= (inst_ref (select a i2) iv_next) (select a (+ i2 1)))))
;                                  (= (inst_ref (select a i) iv_value) o))))

;(define-fun size_L ((l Obj) (n Int)) Bool
;                   (exists ((o Obj)) (and (= (inst_ref l iv_size) o) (map_N o n))))

; predicate in_L(o:O, l:O*) = exists i:N. select_L(i,l,o)
;(define-fun in_L ((o Obj) (l Obj)) Bool
;                 (exists ((i Int)) (select_L l i o)))


